## python-jedi 0.11.1

=== Makefile ===
test:
	py.test

build:
	mkdir $@
build/vint: | build
	virtualenv $@
	$@/bin/pip install vim-vint
check: LINT_FILES:=after autoload ftplugin plugin
check: build/vint
	build/vint/bin/vint $(LINT_FILES)

clean:
	rm -rf .cache build

.PHONY: test check clean

## python-jedi 0.7.0

=== debian/changelog ===
python-jedi (0.7.0-1) unstable; urgency=low

  * New upstream release
    - switched from LGPL to MIT license
  * debian/copyright updated
    - license of debian/* files changed to Expat, to match upstream
  * CHANGELOG.rst installed as upstream changelog

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Aug 2013 22:10:00 +0200

python-jedi (0.6.0-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Piotr Ożarowski ]
  * Bump minimum required Python version to 2.6 (due to b'' syntax)
  * Add DPMT to Uploaders
  * Upload to unstable
  * Add dh-python to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Aug 2013 16:43:43 +0200

python-jedi (0.6.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 14 May 2013 23:29:48 +0200

python-jedi (0.5~b5-1) experimental; urgency=low

  * Initial release (closes: #696195)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 19 Jan 2013 23:02:16 +0100

=== debian/control ===
Source: python-jedi
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7), dh-python,
 python-all, python3-all,
 python-setuptools, python3-setuptools
Standards-Version: 3.9.4
Homepage: https://github.com/davidhalter/jedi
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-jedi/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-jedi/trunk/
X-Python-Version: >= 2.6

Package: python-jedi
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: autocompletion tool for Python
 Jedi is an autocompletion tool for Python. It works. With and without syntax
 errors. Sometimes it sucks, but that's normal in dynamic languages. But it
 sucks less than other tools. It understands almost all of the basic Python
 syntax elements including many builtins.

Package: python3-jedi
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends} 
Description: autocompletion tool for Python 3
 Jedi is an autocompletion tool for Python. It works. With and without syntax
 errors. Sometimes it sucks, but that's normal in dynamic languages. But it
 sucks less than other tools. It understands almost all of the basic Python
 syntax elements including many builtins.

Package: vim-python-jedi
Architecture: all
Depends: python-jedi, ${python:Depends}, ${misc:Depends}
Recommends: vim-addon-manager
Description: autocompletion tool for Python - VIM addon files
 Jedi is an autocompletion tool for Python. It works. With and without syntax
 errors. Sometimes it sucks, but that's normal in dynamic languages. But it
 sucks less than other tools. It understands almost all of the basic Python
 syntax elements including many builtins.
 .
 `vim-addons install python-jedi` will create all needed symlinks in ~/.vim/

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/j/jedi/jedi-(.*)\.tar\.gz

## python-jedi 0.8.0

=== debian/changelog ===
python-jedi (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Add vim-python to vim-python-jedi's Depends (closes: 727835)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 05 May 2014 22:22:02 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 Package: vim-python-jedi
 Architecture: all
-Depends: python-jedi, ${python:Depends}, ${misc:Depends}
+Depends: python-jedi, ${python:Depends}, ${misc:Depends}, vim-python
 Recommends: vim-addon-manager
 Description: autocompletion tool for Python - VIM addon files
  Jedi is an autocompletion tool for Python. It works. With and without syntax

## python-jedi 0.8.1

=== debian/changelog ===
python-jedi (0.8.1-1) unstable; urgency=medium

  * New upstream release (closes: 764746)
  * Update debian/watch file to remove "final" from upstream version
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 10 Oct 2014 21:23:08 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/-final0//;s/-final(\d+)/+$1/;s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/j/jedi/jedi-(.*)\.tar\.gz

## python-jedi 0.9.0

=== debian/changelog ===
python-jedi (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use pypi.debian.net redirector

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 07 Jun 2015 22:09:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7), dh-python,
  python-all, python3-all,
  python-setuptools, python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/davidhalter/jedi
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-jedi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-jedi/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

DEB_UPSTREAM_VERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	uscan --force-download --rename --destdir=. --download-version $(DEB_UPSTREAM_VERSION) && \
	git clone https://github.com/davidhalter/jedi-vim.git && \
	cd jedi-vim && git archive --format=tar.gz HEAD \
	  -o ../python-jedi_$(DEB_UPSTREAM_VERSION).orig-vim.tar.gz && \
	cd .. && rm -rf jedi-vim/

=== debian/watch ===
version=3
opts=uversionmangle=s/-final0//;s/-final(\d+)/+$1/;s/(rc|a|b|c)/~$1/ \
hhttp://pypi.debian.net/jedi/jedi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jedi 0.10.0~git1+f05c071

=== debian/changelog ===
python-jedi (0.10.0~git1+f05c071-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream snapshot
  * Drop DPMT from Uploaders (due to problems with multiple tarballs in git-dpm)
  * debian/compat changed to 10
  * vim-python-jedi: switch to Python 3 (closes: 841043)
  * disable tests for now (closes: 830399)
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 19 Jan 2017 19:05:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,16 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 7), dh-python,
+Build-Depends: debhelper (>= 10), dh-python,
  python-all, python3-all,
- python-setuptools, python3-setuptools
-Standards-Version: 3.9.6
+ python-setuptools, python3-setuptools,
+ python-pytest, python3-pytest,
+ python-unittest2, python3-unittest2,
+ python-docopt, python3-docopt,
+Standards-Version: 3.9.8
 Homepage: https://github.com/davidhalter/jedi
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-jedi/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-jedi/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jedi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-jedi.git
 X-Python-Version: >= 2.6
 
 Package: python-jedi
@@ -32,7 +35,7 @@
 
 Package: vim-python-jedi
 Architecture: all
-Depends: python-jedi, ${python:Depends}, ${misc:Depends}, vim-python
+Depends: python3-jedi, ${python3:Depends}, ${misc:Depends},  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: autocompletion tool for Python - VIM addon files
  Jedi is an autocompletion tool for Python. It works. With and without syntax

=== debian/watch ===
version=3
opts=uversionmangle=s/-final0//;s/-final(\d+)/+$1/;s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/jedi/jedi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jedi 0.10.2

=== debian/changelog ===
python-jedi (0.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Jul 2017 22:21:50 +0200

## python-jedi 0.11.1

=== debian/changelog ===
python-jedi (0.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 20 Dec 2017 11:24:34 +0100

python-jedi (0.11.0-1) unstable; urgency=medium

  * New upstream release
    - add python-parso to Depends
  * Drop DPMT (temporarily, due to infrastructure problems) from Uploaders /
    VCS-* fields (closes: 873882)
  * Standards-Version bumped to 4.1.1 (copyright format URL updated)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 25 Oct 2017 12:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-jedi
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+#Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 10), dh-python,
@@ -9,15 +9,15 @@
  python-pytest, python3-pytest,
  python-unittest2, python3-unittest2,
  python-docopt, python3-docopt,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/davidhalter/jedi
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jedi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-jedi.git
+#Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jedi.git
+#Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-jedi.git
 X-Python-Version: >= 2.6
 
 Package: python-jedi
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, python-parso
 Description: autocompletion tool for Python
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it
@@ -26,7 +26,7 @@
 
 Package: python3-jedi
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends} 
+Depends: ${python3:Depends}, ${misc:Depends}, python3-parso
 Description: autocompletion tool for Python 3
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_clean:
	rm -rf .cache
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='PYTHONPATH={build_dir} {interpreter} {dir}/test/run.py'

DEB_UPSTREAM_VERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEB_UPSTREAM_REV:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*git[0-9]+\+([^-]+).*,\1,p')
get-orig-source:
	if [ -n "$(DEB_UPSTREAM_REV)" ]; then\
		git clone https://github.com/davidhalter/jedi.git _upstream_repo && \
		cd _upstream_repo && git archive --format=tar.gz --prefix='jedi-$(DEB_UPSTREAM_VERSION)/' $(DEB_UPSTREAM_REV) \
		  -o ../python-jedi_$(DEB_UPSTREAM_VERSION).orig.tar.gz && \
		cd .. && rm -rf _upstream_repo/; \
	else\
		uscan --force-download --rename --destdir=. --download-version $(DEB_UPSTREAM_VERSION);\
	fi
	git clone https://github.com/davidhalter/jedi-vim.git && \
	cd jedi-vim && git archive --format=tar.gz --prefix='jedi-vim-$(DEB_UPSTREAM_VERSION)/' HEAD \
	  -o ../python-jedi_$(DEB_UPSTREAM_VERSION).orig-vim.tar.gz && \
	cd .. && rm -rf jedi-vim/

## python-jedi 0.12.0

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,6 @@
 	build/vint/bin/vint $(LINT_FILES)
 
 clean:
-	rm -rf .cache build
+	rm -rf build
 
 .PHONY: test check clean

=== debian/changelog ===
python-jedi (0.12.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    + Add myself to Uploaders.

 -- Dominik George <natureshadow@debian.org>  Tue, 02 Oct 2018 14:10:49 +0200

python-jedi (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 13 Jun 2018 23:51:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-jedi
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 #Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Dominik George <natureshadow@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 10), dh-python,
@@ -17,7 +18,7 @@
 
 Package: python-jedi
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-parso
+Depends: ${python:Depends}, ${misc:Depends}, python-parso (>= 0.2)
 Description: autocompletion tool for Python
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it
@@ -26,7 +27,7 @@
 
 Package: python3-jedi
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-parso
+Depends: ${python3:Depends}, ${misc:Depends}, python3-parso (>= 0.2)
 Description: autocompletion tool for Python 3
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it

## python-jedi 0.13.2

=== Makefile ===
test:
	pytest

test_nvim:
	VSPEC_VIM=nvim pytest

test_coverage: export PYTEST_ADDOPTS:=--cov pythonx --cov test --cov-report=term-missing:skip-covered
test_coverage: test_nvim

build:
	mkdir $@

build/venv: | build
	virtualenv -p python3.6 $@

build/venv/bin/vint: | build/venv
	$|/bin/pip install -q vim-vint==0.3.19

build/venv/bin/flake8: | build/venv
	$|/bin/pip install -q flake8==3.5.0

vint: build/venv/bin/vint
	build/venv/bin/vint after autoload ftplugin plugin

flake8: build/venv/bin/flake8
	build/venv/bin/flake8 pythonx/jedi_*.py

check: vint flake8

clean:
	rm -rf build

.PHONY: test check clean vint flake8

=== requirements.txt ===
parso>=0.3.0

=== debian/changelog ===
python-jedi (0.13.2-1) unstable; urgency=medium

  * New upstream release
    - requires Parso >= 0.3.0
  * setup.py.patch removed, applied upstream
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 31 Dec 2018 11:33:46 +0100

python-jedi (0.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cleaned out some code from setup.py; Closes: #912181
    The code which I removed may be some non-documented workaround for an
    older defect of the module ast. Now setup.py's code is shorter.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 10 Nov 2018 17:51:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: python-jedi
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-#Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Dominik George <natureshadow@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 10), dh-python,
@@ -10,15 +8,12 @@
  python-pytest, python3-pytest,
  python-unittest2, python3-unittest2,
  python-docopt, python3-docopt,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/davidhalter/jedi
-#Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jedi.git
-#Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-jedi.git
-X-Python-Version: >= 2.6
 
 Package: python-jedi
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-parso (>= 0.2)
+Depends: ${python:Depends}, ${misc:Depends}, python-parso (>= 0.3)
 Description: autocompletion tool for Python
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it
@@ -27,7 +22,7 @@
 
 Package: python3-jedi
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-parso (>= 0.2)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-parso (>= 0.3)
 Description: autocompletion tool for Python 3
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it

## python-jedi 0.14.1

=== Makefile ===
BUILD_VIRTUAL_ENV:=build/venv

test:
	pytest

test_nvim:
	VSPEC_VIM=nvim pytest

test_coverage: export PYTEST_ADDOPTS:=--cov pythonx --cov test --cov-report=term-missing:skip-covered
test_coverage: test_nvim

$(dir $(BUILD_VIRTUAL_ENV)):
	mkdir -p $@

$(BUILD_VIRTUAL_ENV): | $(dir $(BUILD_VIRTUAL_ENV))
	python -m venv $@

$(BUILD_VIRTUAL_ENV)/bin/vint: | $(BUILD_VIRTUAL_ENV)
	$|/bin/python -m pip install vim-vint==0.3.19

$(BUILD_VIRTUAL_ENV)/bin/flake8: | $(BUILD_VIRTUAL_ENV)
	$|/bin/python -m pip install -q flake8==3.5.0

vint: $(BUILD_VIRTUAL_ENV)/bin/vint
	$(BUILD_VIRTUAL_ENV)/bin/vint after autoload ftplugin plugin

flake8: $(BUILD_VIRTUAL_ENV)/bin/flake8
	$(BUILD_VIRTUAL_ENV)/bin/flake8 pythonx/jedi_*.py

check: vint flake8

clean:
	rm -rf build

.PHONY: test check clean vint flake8

=== debian/changelog ===
python-jedi (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 23 Jul 2019 00:24:39 +0200

## python-jedi 0.15.2

=== requirements.txt ===
parso>=0.5.2

=== debian/changelog ===
python-jedi (0.15.2-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937849

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 31 Dec 2019 14:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,13 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 10), dh-python,
- python-all, python3-all,
- python-setuptools, python3-setuptools,
- python-pytest, python3-pytest,
- python-unittest2, python3-unittest2,
- python-docopt, python3-docopt,
+ python3-all,
+ python3-setuptools,
+ python3-pytest,
+ python3-unittest2,
+ python3-docopt,
 Standards-Version: 4.3.0
 Homepage: https://github.com/davidhalter/jedi
-
-Package: python-jedi
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-parso (>= 0.3)
-Description: autocompletion tool for Python
- Jedi is an autocompletion tool for Python. It works. With and without syntax
- errors. Sometimes it sucks, but that's normal in dynamic languages. But it
- sucks less than other tools. It understands almost all of the basic Python
- syntax elements including many builtins.
 
 Package: python3-jedi
 Architecture: all

## python-jedi 0.17.0

=== debian/changelog ===
python-jedi (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 06 May 2020 16:10:59 +0200

python-jedi (0.16.0-1) unstable; urgency=medium

  * New upstream release (closes: 954005)
  * Standards-Version bumped to 4.5.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 11:24:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-pytest,
  python3-unittest2,
  python3-docopt,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/davidhalter/jedi
 
 Package: python3-jedi

## python-jedi 0.18.0

=== debian/changelog ===
python-jedi (0.18.0-1) unstable; urgency=medium

  * New upstream release
    - works with parso 0.8 (closes: 977931)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 26 Dec 2020 12:21:24 +0100

python-jedi (0.17.2-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Add 0001-Search-for-python3-in-_get_executable_path.patch (closes: 977799)

  [ Piotr Ożarowski ]
  * Fix paths for VAM

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 21 Dec 2020 11:29:20 +0100

python-jedi (0.17.2-1) unstable; urgency=medium

  * New upstream release (closes: 977558)
  * Replace vim-python with vim-python3 in vim-python-jedi's Depends
    (closes: 970879) 
  * Add support for Vim's native "package" functionality in addition to
    vim-addon-manager.
    + Add Build-Depends on dh-sequence-vim-addon
    + Move vim-addon-manager to Suggests and add ${vim-addon:Depends}
      depencency
    To migrate from VAM:
    + Run `vam remove python-jedi` to remove the vim-addon-manager setup
    + Add "packadd! python-jedi" to your vimrc file
  * Standards-Version bumped to 4.5.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Dec 2020 22:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python, dh-sequence-vim-addon,
  python3-all,
  python3-setuptools,
  python3-pytest,
  python3-unittest2,
  python3-docopt,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/davidhalter/jedi
 
 Package: python3-jedi
@@ -22,12 +22,15 @@
 
 Package: vim-python-jedi
 Architecture: all
-Depends: python3-jedi, ${python3:Depends}, ${misc:Depends},  vim-nox | vim-python
-Recommends: vim-addon-manager
+Depends: python3-jedi, ${python3:Depends}, ${misc:Depends}, ${vim-addon:Depends},
+ vim-nox | vim-python3 | neovim
+Suggests: vim-addon-manager
 Description: autocompletion tool for Python - VIM addon files
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it
  sucks less than other tools. It understands almost all of the basic Python
  syntax elements including many builtins.
  .
- `vim-addons install python-jedi` will create all needed symlinks in ~/.vim/
+ To enable this addon in your (Neo)Vim use one of these two methods:
+  * Add "packadd! python-jedi" to your vimrc file
+  * Invoke: `vam install python-jedi` if you use Vim Addon Manager

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/-final0//;s/-final(\d+)/+$1/;s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/jedi/jedi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jedi 0.18.2

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 	python -m venv $@
 
 $(BUILD_VIRTUAL_ENV)/bin/vint: | $(BUILD_VIRTUAL_ENV)
-	$|/bin/python -m pip install vim-vint==0.3.19
+	$|/bin/python -m pip install vim-vint==0.3.21
 
 $(BUILD_VIRTUAL_ENV)/bin/flake8: | $(BUILD_VIRTUAL_ENV)
-	$|/bin/python -m pip install -q flake8==3.5.0
+	$|/bin/python -m pip install -q flake8==3.7.8
 
 vint: $(BUILD_VIRTUAL_ENV)/bin/vint
 	$(BUILD_VIRTUAL_ENV)/bin/vint after autoload ftplugin plugin

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Jedi.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Jedi.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Jedi"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Jedi"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-jedi 0.19.1+ds1

=== debian/changelog ===
python-jedi (0.19.1+ds1-1) unstable; urgency=medium

  * Restore vendored jedi/third_party/typeshed for now (closes: 1063491)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 Feb 2024 09:38:42 +0100

python-jedi (0.19.1+ds-1) unstable; urgency=medium

  * New upstream release (closes: 1058365)
  * Remove jedi/third_party/typeshed (hence: +ds in upstream version)
    - add Files-Excluded to debian/copyright
    - update debian/watch to reflect this change
    - add remove_vendored_typeshed patch
    - add python3-typeshed to Depends
    closes: 1039627, 1040094
  * Drop python3-unittest2 build dependency (closes: 1058976)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 07 Feb 2024 17:02:17 +0100

python-jedi (0.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 10 Dec 2022 00:22:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  python3-all,
  python3-setuptools,
  python3-pytest,
- python3-unittest2,
  python3-docopt,
+ python3-typeshed,
 Standards-Version: 4.5.1
 Homepage: https://github.com/davidhalter/jedi
 
 Package: python3-jedi
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-parso (>= 0.3)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-parso (>= 0.3), python3-typeshed
 Description: autocompletion tool for Python 3
  Jedi is an autocompletion tool for Python. It works. With and without syntax
  errors. Sometimes it sucks, but that's normal in dynamic languages. But it

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_clean:
	rm -rf .cache
	dh_auto_clean

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='PYTHONPATH={build_dir} {interpreter} {dir}/test/run.py'

DEB_UPSTREAM_VERSION:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')
DEB_UPSTREAM_REV:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*git[0-9]+\+([^-]+).*,\1,p')
get-orig-source:
	if [ -n "$(DEB_UPSTREAM_REV)" ]; then\
		git clone https://github.com/davidhalter/jedi.git _upstream_repo && \
		cd _upstream_repo && git archive --format=tar.gz --prefix='jedi-$(DEB_UPSTREAM_VERSION)/' $(DEB_UPSTREAM_REV) \
		  -o ../python-jedi_$(DEB_UPSTREAM_VERSION)+ds.orig.tar.gz && \
		cd .. && rm -rf _upstream_repo/; \
	else\
		uscan --force-download --rename --destdir=. --download-version $(DEB_UPSTREAM_VERSION);\
	fi
	git clone https://github.com/davidhalter/jedi-vim.git && \
	cd jedi-vim && git archive --format=tar.gz --prefix='jedi-vim-$(DEB_UPSTREAM_VERSION)/' HEAD \
	  -o ../python-jedi_$(DEB_UPSTREAM_VERSION)+ds.orig-vim.tar.gz && \
	cd .. && rm -rf jedi-vim/

=== debian/watch ===
version=4
opts="\
 dversionmangle=s/\+ds//,\
 uversionmangle=s/-final0//;s/-final(\d+)/+$1/;s/(rc|a|b|c)/~$1/, \
 repacksuffix=+ds" \
https://pypi.debian.net/jedi/jedi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
